Bug 275081 - Review Request: xenwatch - Virtualization utilities, mostly for Xen
Review Request: xenwatch - Virtualization utilities, mostly for Xen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 07:49 EDT by Gerd Hoffmann
Modified: 2008-10-21 05:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 03:57:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2007-09-03 07:49:18 EDT
Spec URL: http://kraxel.fedorapeople.org/xenwatch/xenwatch.spec
SRPM URL: http://kraxel.fedorapeople.org/xenwatch/xenwatch-0.5.1-1.fc7.src.rpm
Description:

This is a bunch of utilities for virtualization hosts.  All except
xenscreen are using xenstore and thus are xen-specific.

xenscreen - attach xen domain consoles to screen windows.
xenlog - Log xenstore activity to stdout.
xenstore - gtk xenstore browser.
xenwatch - list running domains with some properties, allow
           connecting to text and graphical (vnc) consoles.
vnc-client - built-in vnc client from xenwatch as standalone
             application.
Comment 1 Till Maas 2007-09-06 07:49:16 EDT
You should use rpm-macros instead of hardcoded paths:
http://fedoraproject.org/wiki/Packaging/RPMMacros

From your spec:
/usr/share/applications/fedora-*.desktop
make prefix=/usr
%config(noreplace) /etc/xen/xenscreenrc
make prefix=/usr DESTDIR=%{buildroot} STRIP="" install
Comment 2 Gerd Hoffmann 2007-09-09 12:23:46 EDT
fixed, new build uploaded to http://kraxel.fedorapeople.org/xenwatch/
Comment 3 Gerd Hoffmann 2007-11-09 10:23:48 EST
Updated to version 0.5.2, uploaded to the same location.
Comment 4 Parag AN(पराग) 2007-12-05 06:59:43 EST
will review this by weekend
Comment 5 Parag AN(पराग) 2007-12-06 23:13:06 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
c0ff0bc66945f2e664ca6a7afb7b67e5  xenwatch-0.5.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct thought good to use as defattr(-,root,root,-)
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop files installed correctly.
+ Package xenwatch-0.5.2-2.fc9 ->
  Provides: config(xenwatch) = 0.5.2-2.fc9
  Requires: config(xenwatch) = 0.5.2-2.fc9 libX11.so.6 libXext.so.6
libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcairo.so.2
libdl.so.2 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0
libgmodule-2.0.so.0 libgnutls.so.13 libgobject-2.0.so.0 libgtk-vnc-1.0.so.0
libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libvirt.so.0
libxenstore.so.3.0 libxml2.so.2 rtld(GNU_HASH) screen
+ GUI app.

APPROVED.
Comment 6 Gerd Hoffmann 2007-12-10 06:05:23 EST
New Package CVS Request
=======================
Package Name: xenwatch
Short Description: Virtualization utilities, mostly for Xen
Owners: kraxel
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: no
Comment 7 Kevin Fenzi 2007-12-10 11:53:48 EST
cvs done.
Comment 8 Jan ONDREJ 2008-10-21 05:21:34 EDT
There is a mix of Source and URL attributes in spec file.

URL should contain a website. If there is no website for this package, you can you URL to downloadable files. It's not an URL to download only this package, this should contain at least a list of all available releases.

Download URL must contain full path to sources. There is only an exception, if this package contains some code, which is not acceptable for Fedora and packager has it's own distribution or package's upstream is Fedora.
More information here:
  http://fedoraproject.org/wiki/Packaging/SourceURL

Note You need to log in before you can comment on or make changes to this bug.